#![allow(dead_code)]
use std::collections::HashMap;

use serde::Deserialize;

pub(crate) static PLATFORM: &str = "/minecraft";

#[derive(Deserialize, Debug)]
pub struct MinecraftResponse {
	pub code: String,
	pub message: String,
	pub success: bool,
	pub data: MinecraftData,
}

#[derive(Deserialize, Debug)]
pub struct MinecraftData {
	pub player: MinecraftPlayerData,
}

#[derive(Deserialize, Debug)]
pub struct MinecraftPlayerData {
	pub username: String,
	pub id: String,
	pub raw_id: String,
	pub avatar: String,
	pub skin_texture: String,

	#[serde(flatten)]
	extra: HashMap<String, serde_json::Value>,
}
